summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAmadeusz Żołnowski <aidecoe@gentoo.org>2016-08-27 13:42:24 +0100
committerAmadeusz Żołnowski <aidecoe@gentoo.org>2016-08-27 14:12:50 +0100
commitb0275c3408ac007193ea244ef1c6e367443ed5ce (patch)
tree4ccc57ddb59b38e0190b53ae0181baadd739a4ed /net-im/ejabberd
parentnet-im/ejabberd: Use internal eldap module instead of system one (diff)
downloadgentoo-b0275c3408ac007193ea244ef1c6e367443ed5ce.tar.gz
gentoo-b0275c3408ac007193ea244ef1c6e367443ed5ce.tar.bz2
gentoo-b0275c3408ac007193ea244ef1c6e367443ed5ce.zip
net-im/ejabberd: Reapply read bit on epam wrapper
sfperms drops read bit from files with suid. Reapply it. Gentoo-Bug: 592218
Diffstat (limited to 'net-im/ejabberd')
-rw-r--r--net-im/ejabberd/ejabberd-16.04-r1.ebuild8
1 files changed, 8 insertions, 0 deletions
diff --git a/net-im/ejabberd/ejabberd-16.04-r1.ebuild b/net-im/ejabberd/ejabberd-16.04-r1.ebuild
index 33a62583a60..ab1239189a8 100644
--- a/net-im/ejabberd/ejabberd-16.04-r1.ebuild
+++ b/net-im/ejabberd/ejabberd-16.04-r1.ebuild
@@ -288,4 +288,12 @@ pkg_postinst() {
if ! ejabberd_cert_exists; then
ejabberd_cert_install
fi
+
+ if use pam; then
+ # sfperms drops read bit from files with suid. Reapply it.
+ # Fix bug #592218.
+ local epam_path="$(get_ejabberd_path)/priv/bin/epam"
+ chmod g+r "${EROOT%/}${epam_path}" \
+ || die "failed to correct ${epam_path} permissions"
+ fi
}